Tietoja OS X Server 3.1.2:n turvallisuussisällöstä

Tässä asiakirjassa kerrotaan OS X Server 3.1.2:n turvallisuussisällöstä.

Suojellakseen asiakkaitaan Apple ei paljasta tietoturvaongelmia eikä anna niistä tietoja tai vahvista niitä, ennen kuin täydellinen tutkinta on tehty ja tarpeelliset korjauspäivitykset tai uudet versiot ovat saatavilla. Lisätietoja Applen tuoteturvallisuudesta on Applen tuoteturvallisuussivustossa.

Lisätietoja Applen tuoteturvallisuuden PGP-avaimesta on artikkelissa Applen tuoteturvallisuuden PGP-avaimen käyttäminen.

CVE ID -tunnuksia käytetään mahdollisuuksien mukaan viittaamaan lisätietoihin haavoittuvuuksista.

Tietoja muista suojauspäivityksistä on artikkelissa Applen suojauspäivitykset.

OS X Server 3.1.2

  • Ruby

    Saatavilla seuraaville käyttöjärjestelmille: OS X Mavericks 10.9.3 tai uudemmat.

    Vaikutus: sellaisen Ruby-komentosarjan suorittaminen, joka käyttää ei-luotettua syötettä Float-objektin luomiseen, saattoi johtaa ohjelman odottamattomaan sulkeutumiseen tai mielivaltaisen koodin suorittamiseen.

    Kuvaus: Rubyssa oli kekopuskurin ylivuotoon liittyvä ongelma muunnettaessa merkkijonoa liukulukuarvoksi. Hyökkääjä saattoi lähetetyn tietyn pyynnön Profiilinhallinta-toimintoon tai Ruby-komentosarjalle, joka saattaa johtaa ohjelman odottamattomaan sulkeutumiseen tai mielivaltaisen koodin suorittamiseen. Ongelma on ratkaistu liukulukuarvojen lisätarkistuksella.

    CVE-tunnus

    CVE-2013-4164

Muita kuin Applen valmistamia tuotteita sekä itsenäisiä verkkosivustoja (joita Apple ei hallitse tai joita se ei ole testannut) koskevat tiedot on tarkoitettu vain tiedoksi. Apple ei suosittele tai tue niitä. Apple ei vastaa muun valmistajan verkkosivustojen tai tuotteiden valikoimasta, suorituskyvystä tai käytöstä. Apple ei vastaa muun valmistajan verkkosivuston oikeellisuudesta tai luotettavuudesta. Internetin käyttöön liittyy riskejä. Pyydä lisätietoja valmistajalta. Muut yritysten ja tuotteiden nimet saattavat olla omistajiensa tavaramerkkejä.

Julkaisupäivämäärä: